/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.bytesw.bytebot.model.enums;

import java.util.HashMap;
import java.util.Map;
import lombok.Getter;

/**
 * @author Hernán Uriarte Melchor
 * @version 13-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Getter
public enum FileQuestionStatusEnum {
    ACTIVE("AC"),
    LOADED("LO"),
    DISABLED("DI");
    
    private static final Map<String, FileQuestionStatusEnum> map = new HashMap<>();

    private String name;

    FileQuestionStatusEnum(String name) {
        this.name = name;
    }

    static {
        for (FileQuestionStatusEnum type : FileQuestionStatusEnum.values()) {
            map.put(type.name, type);
        }
    }

    public static FileQuestionStatusEnum fromString(String name) {
        return map.get(name);
    }
}
